Bug 824541 - (CVE-2012-2763) CVE-2012-2763 gimp: Heap-based buffer overflow in the script-fu console by sending overly long arguments to script-fu server
CVE-2012-2763 gimp: Heap-based buffer overflow in the script-fu console by se...
Status: CLOSED WONTFIX
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20120530,reported=2...
: Security
Depends On:
Blocks: 824560
  Show dependency treegraph
 
Reported: 2012-05-23 13:30 EDT by Jan Lieskovsky
Modified: 2016-03-04 06:02 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-31 02:43:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2012-05-23 13:30:45 EDT
A heap-based buffer overflow flaw was found in the way Script-Fu plug-in of Gimp, a GNU Image Manipulation Program, processed certain arguments that have been provided to the TinyScheme console. A remote attacker could provide a specially-crafted Script-Fu script, which once processed by the plug-ins/script-fu executable could lead to script-fu executable crash, or, potentially arbitrary code execution with the privileges of the user running Gimp.

References:
[1] http://www.reactionpenetrationtesting.co.uk/advisories/scriptfu-buffer-overflow-GIMP-2.6.html
[2] http://www.reactionpenetrationtesting.co.uk/advisories/scriptfubof.c
Comment 3 Jan Lieskovsky 2012-05-23 13:49:27 EDT
Acknowledgements:

Red Hat would like to thank Joseph Sheridan of Reaction Information Security for reporting this issue.
Comment 10 Stefan Cornelius 2012-05-31 02:43:08 EDT
Statement:

The Red Hat Security Response Team has rated this issue as having low security impact. This issue is not currently planned to be addressed in future updates. For additional information, refer to the Issue Severity Classification: https://access.redhat.com/security/updates/classification/.

Note You need to log in before you can comment on or make changes to this bug.